Skip to content

Refunds API (1.0)

The API allows the APP to create a refund for an existing approved Tyro transaction without the need for the card to be present.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Create a Refund

Request

This endpoint creates a refund for an existing transaction. Refunds are processed as referenced refunds, meaning they require a reference to the original transaction.

Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
Content-Typestringrequired
Value"application/json"
Bodyapplication/json
midstringrequired

The merchant ID associated with the Tyro account.

Example: "98765"
transactionReferencestringrequired

Identifier of the original transaction, as generated by the POS system or online system.

originChannelstringrequired

The sales channel where the original transaction was processed.

Enum"INSTORE""PAYMENT_LINK""ONLINE_CHECKOUT"
transactionDateTimestring(date-time)required

The timestamp of when the original transaction was processed. Must be after midnight of 28th of March 2025, Sydney time (2025-03-28T00:00:00.000+11:00). The format of the date time is the notation as defined by RFC 3339, section 5.6

Example: "2025-10-01T12:00:00.000Z"
rrnstring

Retrieval Reference Number (RRN) of the original transaction to be refunded.

Example: 393939393939
refundAmountnumberrequired

Amount to refund to the customer, in cents (AUD).

Example: 765
refundReasonstring

Reason for issuing the refund, stored for audit purposes.

Example: "Customer changed their mind"
partnerReferencestring

A reference provided by the partner to help reconcile this refund with records in their own systems.

Example: "122121"
curl -i -X POST \
  https://api.tyro.com/connect/refunds/search-and-refund \
  -H 'Authorization: Bearer {$$.env.access_token}' \
  -H 'Content-Type: application/json' \
  -d '{
    "mid": "98765",
    "transactionReference": "string",
    "originChannel": "INSTORE",
    "transactionDateTime": "2025-10-01T12:00:00.000Z",
    "rrn": 393939393939,
    "refundAmount": 765,
    "refundReason": "Customer changed their mind",
    "partnerReference": "122121"
  }'

Responses

OK

Bodyapplication/json
refundTransactionReferencestringrequired

Unique identifier for the refund transaction, generated by Tyro.

refundTransactionRrnstring

Retrieval Reference Number (RRN) associated with the refund transaction.

refundAmountnumberrequired

Amount refunded to the customer, in cents (AUD).

Example: 765
amountAvailableForRefundnumberrequired

Remaining amount (in cents, AUD) that can still be refunded against the original transaction.

Example: 1000
Response
application/json
{ "refundTransactionReference": "8cda1097-0095-4000-a90f-c7375eefad3a", "refundTransactionRrn": "990021002206", "refundAmount": 765, "amountAvailableForRefund": 1000 }